Bug 456619 - https URLs clicked in thunderbird-1.5 do not initiate seamonkey properly
https URLs clicked in thunderbird-1.5 do not initiate seamonkey properly
Status: CLOSED DUPLICATE of bug 456193
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Kai Engert (:kaie)
desktop-bugs@redhat.com
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 20:05 EDT by Ben Levenson
Modified: 2009-08-11 06:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 13:15:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2008-07-24 20:05:03 EDT
Description of problem:
1- set default browser to seamonkey
2- upgrade seamonkey to 1.0.9-24.el4, (requires nss-3.11.99.5-3.el4)
3- start thunderbird
4- view an email with a https URL
5- click it

Actual results:
This document connot be displayed unless you install the Personal Security
Manager (PSM). Download and install PSM and try again, or contact your system
administrator

Version-Release number of selected component (if applicable):
nspr-4.7.0.99.2-2.el4
nss-3.11.99.5-3.el4
seamonkey-1.0.9-24.el4
seamonkey-chat-1.0.9-24.el4
seamonkey-devel-1.0.9-24.el4
seamonkey-dom-inspector-1.0.9-24.el4
seamonkey-js-debugger-1.0.9-24.el4
seamonkey-mail-1.0.9-24.el4
thunderbird-1.5.0.12-11.el4

Expected results:
https page should load

Additional info:
I can't reproduce this with evo28 & new seamonkey/nss packages
or with thunderbird and old seamonkey/seamonkey-nss packages

Additionally, clicking a URL in thunderbird with ff3 set as the default browser
does not open the link in ff3.

---

kengert identified the problem:
<kengert> when thunderbird starts seamonkey, it does so with an LD_LIBRARY_PATH
that includes the nss libraries that are shipped with thunderbird
<kengert> when seamonkey starts up, it might see the libs from thunderbird,
instead of the ones from seamonkey (which are probably later in the path)
<kengert> then there might be some incompatibility between libs
<kengert> let me try to remove the nspr and nss libs shipped with thunderbird ,
which should work fine
<kengert> my test is successful. after having moved the nspr/nss libs away, the
test case can load the https page

----

Note, https links work if seamonkey is already up and running.  So until we have
a fix, users can workaround the issue by launching seamonkey before they click
on an https link in thunderbird.
Comment 1 Kai Engert (:kaie) 2008-07-24 20:17:07 EDT
I can't set the rhel-4.7.z flag
Comment 2 Kai Engert (:kaie) 2008-07-24 20:17:47 EDT
The fix is to change thunderbird to no longer ship an internal NSPR/NSS, but
link against the system packages.
Comment 3 RHEL Product and Program Management 2008-08-05 09:58:53 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 4 Kai Engert (:kaie) 2008-08-05 13:15:30 EDT
Resolving as a dupe of bug 456193, which already got acks.

Both SeaMonkey and Firefox experience the same problem, a single fix to thunderbird will resolve both problems.

*** This bug has been marked as a duplicate of bug 456193 ***

Note You need to log in before you can comment on or make changes to this bug.